## org.apache.commons.collections.iterators
Class SingletonIterator

    java.lang.Object
      org.apache.commons.collections.iterators.SingletonIterator

All Implemented Interfaces:
  java.util.Iterator, ResettableIterator

    public class SingletonIterator

extends java.lang.Object
implements java.util.Iterator, ResettableIterator

`SingletonIterator` is an `Iterator` over a single object instance.

Since:
  Commons Collections 2.0
Version:
  $Revision: 647116 $ $Date: 2008-04-11 12:23:08 +0100 (Fri, 11 Apr 2008) $
Author:
  James Strachan, Stephen Colebourne, Rodney Waldhoff

Constructor Summary
`SingletonIterator(java.lang.Object object)` Constructs a new `SingletonIterator` where `remove` is a permitted operation.
`SingletonIterator(java.lang.Object object, boolean removeAllowed)` Constructs a new `SingletonIterator` optionally choosing if `remove` is a permitted operation.

Method Summary
`boolean` `hasNext()` Is another object available from the iterator?
`java.lang.Object` `next()` Get the next object from the iterator.
`void` `remove()` Remove the object from this iterator.
`void` `reset()` Reset the iterator to the start.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonIterator

    public SingletonIterator(java.lang.Object object)

  Constructs a new `SingletonIterator` where `remove` is a permitted operation.

  Parameters:
    `object` - the single object to return from the iterator

### SingletonIterator

    public SingletonIterator(java.lang.Object object,
                             boolean removeAllowed)

  Constructs a new `SingletonIterator` optionally choosing if `remove` is a permitted operation.

  Parameters:
    `object` - the single object to return from the iterator
    `removeAllowed` - true if remove is allowed
  Since:
    Commons Collections 3.1

Method Detail

### hasNext

    public boolean hasNext()

  Is another object available from the iterator?

  This returns true if the single object hasn't been returned yet.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if the single object hasn't been returned yet

### next

    public java.lang.Object next()

  Get the next object from the iterator.

  This returns the single object if it hasn't been returned yet.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the single object
  Throws:
    `java.util.NoSuchElementException` - if the single object has already been returned

### remove

    public void remove()

  Remove the object from this iterator.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.IllegalStateException` - if the `next` method has not yet been called, or the `remove` method has already been called after the last call to the `next` method.
    `java.lang.UnsupportedOperationException` - if remove is not supported

### reset

    public void reset()

  Reset the iterator to the start.

  Specified by:
    `reset` in interface `ResettableIterator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.